Bug 1120199 - Major/monor version fields should not accept negative integer values while creating OS
Summary: Major/monor version fields should not accept negative integer values while cr...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: orabin
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 11:53 UTC by Sachin Ghai
Modified: 2016-04-22 16:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:21:18 UTC


Attachments (Terms of Use)
-ve value accepted for major/minor versions (29.92 KB, image/png)
2014-07-16 11:53 UTC, Sachin Ghai
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6657 None None None 2016-04-22 16:47:02 UTC

Description Sachin Ghai 2014-07-16 11:53:28 UTC
Created attachment 918395 [details]
-ve value accepted for major/minor versions

Description of problem:
while creating new OS, I can pass negative integer values to major/minor version fields.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. use -ve values for major/minor version while creating OS
2.
3.

Actual results:
User can input -ve values for major/minor versions

Expected results:
Major/monor version fields should not accept negative integer values while creating OS

Additional info:

Comment 1 Sachin Ghai 2014-07-16 11:54:43 UTC
Affected build version:

* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.21-1.el6sat.noarch
* foreman-compute-1.6.0.21-1.el6sat.noarch
* foreman-gce-1.6.0.21-1.el6sat.noarch
* foreman-libvirt-1.6.0.21-1.el6sat.noarch
* foreman-ovirt-1.6.0.21-1.el6sat.noarch
* foreman-postgresql-1.6.0.21-1.el6sat.noarch
* foreman-proxy-1.6.0.9-1.el6sat.noarch
* foreman-selinux-1.6.0-5.el6sat.noarch
* foreman-vmware-1.6.0.21-1.el6sat.noarch
* katello-1.5.0-26.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.5-1.el6sat.noarch
* katello-installer-0.0.53-1.el6sat.noarch
* openldap-2.4.23-32.el6_4.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.23.beta.el6sat.noarch
* pulp-server-2.4.0-0.23.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* rubygem-hammer_cli-0.1.1-5.el6sat.noarch
* rubygem-hammer_cli_foreman-0.1.1-9.el6sat.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.3-2.el6sat.noarch
* rubygem-hammer_cli_katello-0.0.4-7.el6sat.noarch

Comment 3 orabin 2014-07-17 06:53:31 UTC
Created redmine issue http://projects.theforeman.org/issues/6657 from this bug

Comment 4 Bryan Kearney 2014-07-31 10:03:50 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6657 has been closed
-------------
Ori Rabin
Applied in changeset commit:3034e8e28302eab858fa43b71136212350396808.

Comment 6 orabin 2014-08-05 15:36:42 UTC
I created Merge Request #13

Comment 8 sthirugn@redhat.com 2014-08-07 17:13:10 UTC
Version Tested:
GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.38-1.el6sat.noarch
* foreman-compute-1.6.0.38-1.el6sat.noarch
* foreman-gce-1.6.0.38-1.el6sat.noarch
* foreman-libvirt-1.6.0.38-1.el6sat.noarch
* foreman-ovirt-1.6.0.38-1.el6sat.noarch
* foreman-postgresql-1.6.0.38-1.el6sat.noarch
* foreman-proxy-1.6.0.23-1.el6sat.noarch
* foreman-selinux-1.6.0.4-1.el6sat.noarch
* foreman-vmware-1.6.0.38-1.el6sat.noarch
* katello-1.5.0-28.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.57-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* sssd-ldap-1.11.5.1-3.el6.x86_64

Comment 10 Bryan Kearney 2014-09-11 12:21:18 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.